# Code of Conduct for Contributors

We are committed to creating a friendly and respectful community for everyone who wants to contribute to this open source library. By participating in this project, you agree to abide by the following code of conduct.

## Be respectful and constructive

We value your feedback and suggestions, but please be respectful and constructive when you communicate with other contributors, maintainers, and users. Avoid personal attacks, insults, trolling, harassment, or any other behavior that could make others feel unwelcome or uncomfortable. If you disagree with someone, try to understand their perspective and explain your reasoning in a polite and clear manner.

## Follow the project guidelines

We have some guidelines for how to contribute to this project, such as coding style enforced via lint rules, documentation, testing, and pull requests. Please follow these guidelines when you make your contributions. They are designed to ensure the quality and consistency of the codebase, as well as to facilitate the review process. If you are unsure about something, feel free to ask the maintainers or other contributors for help.

## Acknowledge the work of others

We appreciate your contributions, but we also expect you to acknowledge the work of others who have contributed to this project before you. Do not claim credit for something that is not your own, or plagiarize from other sources. If you use or modify code from other sources, make sure to give proper attribution and follow the license terms.

## Be honest and transparent

We expect you to be honest and transparent about your contributions. Do not submit code that you know is faulty, incomplete, or untested. Do not misrepresent the purpose or scope of your contribution. Do not hide any potential conflicts of interest or ulterior motives. If you encounter any problems or issues with your contribution, please report them promptly and openly.

## Be open and inclusive

We welcome contributions from anyone who shares our vision and values for this project. We do not discriminate based on age, gender, race, ethnicity, religion, sexual orientation, disability, or any other personal characteristics. We strive to create an inclusive and diverse community that fosters collaboration and innovation.

Thank you for your contribution! 🙏
